Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.providers
Class BSFProvider

    java.lang.Object
      |
      +--org.apache.axis.handlers.BasicHandler
            |
            +--org.apache.axis.providers.BasicProvider
                  |
                  +--org.apache.axis.providers.BSFProvider

All Implemented Interfaces:
  Handler, java.io.Serializable

public class BSFProvider
extends BasicProvider

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `OPTION_LANGUAGE`
`static java.lang.String` | `OPTION_SCRIPT`
`static java.lang.String` | `OPTION_SRC`

Fields inherited from class org.apache.axis.handlers.BasicHandler
`log, name, options`

Constructor Summary
`BSFProvider()`

Method Summary
`void` | `initServiceDesc(SOAPService service, MessageContext msgContext)` This method returns a ServiceDesc that contains the correct implimentation class.
`void` | `invoke(MessageContext msgContext)` Must implement this in subclasses.

Methods inherited from class org.apache.axis.providers.BasicProvider
`addOperation, getOperationName, getOperationNames, getOperationQNames`

Methods inherited from class org.apache.axis.handlers.BasicHandler
`canHandleBlock, cleanup, generateWSDL, getDeploymentData, getName, getOption, getOptions, getUnderstoodHeaders, init, initHashtable, onFault, setName, setOption, setOptionDefault, setOptions`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### OPTION_LANGUAGE

    public static final java.lang.String OPTION_LANGUAGE

### OPTION_SRC

    public static final java.lang.String OPTION_SRC

### OPTION_SCRIPT

    public static final java.lang.String OPTION_SCRIPT

Constructor Detail

### BSFProvider

    public BSFProvider()

Method Detail

### invoke

    public void invoke(MessageContext msgContext)

  Description copied from class: `BasicHandler`
  Must implement this in subclasses.
  Overrides:
    `invoke` in class `BasicHandler`

### initServiceDesc

    public void initServiceDesc(SOAPService service,
                                MessageContext msgContext)
                         throws AxisFault

  Description copied from class: `BasicProvider`
  This method returns a ServiceDesc that contains the correct implimentation class.
  Overrides:
    `initServiceDesc` in class `BasicProvider`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.